Update Rule
curl --request PATCH \
--url https://api.example.com/v1/event-rules/{rule_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"schedule_cron": "<string>",
"timezone": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output_format": "<string>",
"filter": {},
"modifications_template": [
{}
],
"webhook_url": "<string>",
"enabled": true
}
'import requests
url = "https://api.example.com/v1/event-rules/{rule_id}"
payload = {
"name": "<string>",
"schedule_cron": "<string>",
"timezone": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output_format": "<string>",
"filter": {},
"modifications_template": [{}],
"webhook_url": "<string>",
"enabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
schedule_cron: '<string>',
timezone: '<string>',
template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
output_format: '<string>',
filter: {},
modifications_template: [{}],
webhook_url: '<string>',
enabled: true
})
};
fetch('https://api.example.com/v1/event-rules/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"trigger_type": "<string>",
"schedule_cron": "<string>",
"timezone": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output_format": "<string>",
"filter": {},
"modifications_template": [
{}
],
"webhook_url": "<string>",
"enabled": true,
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}event-rules
Update Rule
PATCH
/
v1
/
event-rules
/
{rule_id}
Update Rule
Headers
Path Parameters
Body
application/json
Required string length:
2 - 120Maximum string length:
120Maximum string length:
64Pattern:
^(png|jpg|mp4)$Response
Successful Response